View Issue Details

IDProjectCategoryView StatusLast Update
0000267bareos-core[All Projects] directorpublic2015-03-25 19:19
ReporterpstorzAssigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Fixed in Version14.2.1 
Summary0000267: make blocksize a property of the pool
DescriptionAs it is not possible to easily switch the block size of a tape after it was written, but the blocksize has big impact on tape speed, it would be nice to be able to use different blocksizes in different pools in order to be able to do a migration to another blocksize.

For more info, see the tape speed tuning whitepaper:
http://www.bareos.org/en/Whitepapers/articles/Speed_Tuning_of_Tape_Drives.html
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

mvwieringen

mvwieringen

2014-02-25 17:21

developer   ~0000826

Fix committed to bareos master branch with changesetid 1533.
mvwieringen

mvwieringen

2015-03-25 16:51

developer   ~0001476

Fix committed to bareos2015 bareos-14.2 branch with changesetid 4897.
joergs

joergs

2015-03-25 19:19

administrator   ~0001625

Due to the reimport of the Github repository to bugs.bareos.org, the status of some tickets have been changed. These tickets will be closed again.
Sorry for the noise.

Related Changesets

bareos: master 860aaeb1

2014-02-25 09:19:16

pstorz


Committer: mvwieringen

Ported: N/A

Details Diff
Adds support for different blocksizes.

Min- and maxblocksize are now a property of the
pool and are promoted to tapes in that pool.

Therefore, the media and pool database tables were
adapted to hold min and maxblocksize.

In order to be able to read the tape label always,
the label is always read and written with the
DEFAULT_BLOCK_SIZE = 63k/64512 bytes

For backward compatibility, the blocksize
DEFAULT_BLOCK_SIZE is used if the blocksize
for the medium is zero in the database table.

The device blocksizes are set to the values
of the mounted volume after it was mounted, so
all blocks being written after the label block
are written with the blocksizes configured in the
medium/pool.

Moving a tape from one pool to another through
the scratch pool mechanism is supported,
as then the pool's properties are promoted
to the medium.

This new feature makes it possible to move from
one blocksize to a new one during normal operation
while being able to restore the old backups at any
time.

For disaster recovery (DR) using bscan etc. you need to
set the blocksize used during write of the tape for
restore.

Fixes 0000267: make blocksize a property of the pool
Affected Issues
0000267
mod - src/cats/cats.h Diff File
mod - src/cats/sql_create.c Diff File
mod - src/cats/sql_find.c Diff File
mod - src/cats/sql_get.c Diff File
mod - src/cats/sql_update.c Diff File
mod - src/dird/catreq.c Diff File
mod - src/dird/dird_conf.c Diff File
mod - src/dird/dird_conf.h Diff File
mod - src/dird/ua_cmds.c Diff File
mod - src/dird/ua_label.c Diff File
mod - src/lib/scan.c Diff File
mod - src/stored/acquire.c Diff File
mod - src/stored/askdir.c Diff File
mod - src/stored/block.c Diff File
mod - src/stored/block.h Diff File
mod - src/stored/bscan.c Diff File
mod - src/stored/butil.c Diff File
mod - src/stored/dev.c Diff File
mod - src/stored/dev.h Diff File
mod - src/stored/dir_cmd.c Diff File
mod - src/stored/label.c Diff File
mod - src/stored/mount.c Diff File
mod - src/stored/protos.h Diff File
mod - src/stored/reserve.c Diff File
mod - src/stored/sd_plugins.c Diff File
mod - src/stored/spool.c Diff File
mod - src/stored/stored.c Diff File
mod - src/stored/stored.h Diff File
mod - src/stored/stored_conf.c Diff File
mod - src/stored/stored_conf.h Diff File

bareos2015: bareos-14.2 d815f53d

2014-02-25 10:19:16

pstorz


Committer: mvwieringen

Ported: N/A

Details Diff
Adds support for different blocksizes.

Min- and maxblocksize are now a property of the
pool and are promoted to tapes in that pool.

Therefore, the media and pool database tables were
adapted to hold min and maxblocksize.

In order to be able to read the tape label always,
the label is always read and written with the
DEFAULT_BLOCK_SIZE = 63k/64512 bytes

For backward compatibility, the blocksize
DEFAULT_BLOCK_SIZE is used if the blocksize
for the medium is zero in the database table.

The device blocksizes are set to the values
of the mounted volume after it was mounted, so
all blocks being written after the label block
are written with the blocksizes configured in the
medium/pool.

Moving a tape from one pool to another through
the scratch pool mechanism is supported,
as then the pool's properties are promoted
to the medium.

This new feature makes it possible to move from
one blocksize to a new one during normal operation
while being able to restore the old backups at any
time.

For disaster recovery (DR) using bscan etc. you need to
set the blocksize used during write of the tape for
restore.

Fixes 0000267: make blocksize a property of the pool
Affected Issues
0000267
mod - src/cats/cats.h Diff File
mod - src/cats/sql_create.c Diff File
mod - src/cats/sql_find.c Diff File
mod - src/cats/sql_get.c Diff File
mod - src/cats/sql_update.c Diff File
mod - src/dird/catreq.c Diff File
mod - src/dird/dird_conf.c Diff File
mod - src/dird/dird_conf.h Diff File
mod - src/dird/ua_cmds.c Diff File
mod - src/dird/ua_label.c Diff File
mod - src/lib/scan.c Diff File
mod - src/stored/acquire.c Diff File
mod - src/stored/askdir.c Diff File
mod - src/stored/block.c Diff File
mod - src/stored/block.h Diff File
mod - src/stored/bscan.c Diff File
mod - src/stored/butil.c Diff File
mod - src/stored/dev.c Diff File
mod - src/stored/dev.h Diff File
mod - src/stored/dir_cmd.c Diff File
mod - src/stored/label.c Diff File
mod - src/stored/mount.c Diff File
mod - src/stored/protos.h Diff File
mod - src/stored/reserve.c Diff File
mod - src/stored/sd_plugins.c Diff File
mod - src/stored/spool.c Diff File
mod - src/stored/stored.c Diff File
mod - src/stored/stored.h Diff File
mod - src/stored/stored_conf.c Diff File
mod - src/stored/stored_conf.h Diff File

Issue History

Date Modified Username Field Change
2014-01-09 16:31 pstorz New Issue
2014-01-18 12:22 mvwieringen Assigned To => pstorz
2014-01-18 12:22 mvwieringen Status new => assigned
2014-02-25 17:21 mvwieringen Changeset attached => bareos master 860aaeb1
2014-02-25 17:21 mvwieringen Note Added: 0000826
2014-02-25 17:21 mvwieringen Assigned To pstorz => mvwieringen
2014-02-25 17:21 mvwieringen Status assigned => resolved
2014-02-25 17:21 mvwieringen Resolution open => fixed
2014-12-01 11:56 joergs Status resolved => closed
2014-12-01 11:56 joergs Assigned To mvwieringen =>
2014-12-01 11:56 joergs Fixed in Version => 14.2.1
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-14.2 d815f53d
2015-03-25 16:51 mvwieringen Note Added: 0001476
2015-03-25 16:51 mvwieringen Status closed => resolved
2015-03-25 19:19 joergs Note Added: 0001625
2015-03-25 19:19 joergs Status resolved => closed